summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/airbrussh/Manifest1
-rw-r--r--dev-ruby/airbrussh/airbrussh-1.5.0.ebuild4
-rw-r--r--dev-ruby/airbrussh/airbrussh-1.5.1.ebuild39
-rw-r--r--dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r2.ebuild8
-rw-r--r--dev-ruby/shoulda-context/files/shoulda-context-2.0.0-file-exists.patch26
-rw-r--r--dev-ruby/shoulda-context/shoulda-context-2.0.0-r1.ebuild42
-rw-r--r--dev-ruby/sshkit/Manifest1
-rw-r--r--dev-ruby/sshkit/sshkit-1.22.0.ebuild43
8 files changed, 160 insertions, 4 deletions
diff --git a/dev-ruby/airbrussh/Manifest b/dev-ruby/airbrussh/Manifest
index 3205d785a9b8..a149d5f0dd04 100644
--- a/dev-ruby/airbrussh/Manifest
+++ b/dev-ruby/airbrussh/Manifest
@@ -1,3 +1,4 @@
DIST airbrussh-1.4.1.tar.gz 1450155 BLAKE2B cecdc1b278a23c76b169febf5aa704d024a1ef41344a81a24d28f2a0f53830804f494d1bf967d8a54bfa73a92df333095fcc4591970c1d3e2ed1c23095258d11 SHA512 33bc484a3ac42a2a4a3795068649e93472bded1f887d9cdab52f4268090889b1d6ddc1c8743574b07e174eb606b24311ee13952d8b61517841693b44bf92450e
DIST airbrussh-1.4.2.tar.gz 1450323 BLAKE2B 34f14409c5c892c85db28da63c3dd6d13e7086d6338844416508abdcf67f7593ff05a1b755a5b8c171d7f87dafe6476198d4fe2361993af492553c996ec88708 SHA512 739cdadee7ec7f03fef3497528dbc2fc552a862f6fea7502aef843edf137523601b9dc6037737c7ba219142dbf749238f80eba6ff86055fe39769f5d80d19c16
DIST airbrussh-1.5.0.tar.gz 1450385 BLAKE2B bc3d2be21fd6ad3e3524fcd10f0a36c9c97bd55a14c422a80b604312fd040821c9c59ca3b034acd834c9c636f99297b5f7c9b04c54edb9fb6c73c7c13fcf8e94 SHA512 540b98ec60f639cd70c705b1cd47eb4246fd49d3dfa4f0ba5163edfb72d76aab63728a2cdfa80f07c1eb7b159e4167de5392e0bb7129b58031e1a6c0733fb559
+DIST airbrussh-1.5.1.tar.gz 1450388 BLAKE2B 34bfc20db10e32f5523916cc503147283b8aee71064e197931f0774932e7c197f765a1ceca78135642e6758efe2d115b1c1da2572171b06fa622d5313710a6ac SHA512 5c34b0491432a20b4c0d30613669ffe21d431296b69ebd1eccf786d515c80067a5b6776a2b4055ea442fce61f89c130531ce4ad177f97950d9bf7ec479fb5bed
diff --git a/dev-ruby/airbrussh/airbrussh-1.5.0.ebuild b/dev-ruby/airbrussh/airbrussh-1.5.0.ebuild
index 2dfb1c593400..3f165e301b56 100644
--- a/dev-ruby/airbrussh/airbrussh-1.5.0.ebuild
+++ b/dev-ruby/airbrussh/airbrussh-1.5.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/mattbrictson/airbrussh/archive/v${PV}.tar.gz -> ${P}
LICENSE="MIT"
SLOT="1"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+KEYWORDS="amd64 ~ppc ~ppc64 ~x86"
IUSE=""
ruby_add_rdepend ">dev-ruby/sshkit-1.7.0"
diff --git a/dev-ruby/airbrussh/airbrussh-1.5.1.ebuild b/dev-ruby/airbrussh/airbrussh-1.5.1.ebuild
new file mode 100644
index 000000000000..5f831d6f8098
--- /dev/null
+++ b/dev-ruby/airbrussh/airbrussh-1.5.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="airbrussh.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A replacement log formatter for SSHKit"
+HOMEPAGE="https://github.com/mattbrictson/airbrussh"
+SRC_URI="https://github.com/mattbrictson/airbrussh/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+ruby_add_rdepend ">dev-ruby/sshkit-1.7.0"
+
+ruby_add_bdepend "test? ( dev-ruby/bundler dev-ruby/mocha:2 )"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ rm -f test/support/minitest_reporters.rb || die
+
+ # Add missing require
+ sed -i -e '1irequire "rake" ; require "rake/task"' test/support/rake_task_definition.rb || die
+
+ # Avoid a test poluting the environment
+ sed -i -e '/test_color_is_can_be_forced_via_env/,/^ end/ s:^:#:' test/airbrussh/console_test.rb || die
+}
+
+each_ruby_test() {
+ MT_NO_PLUGINS=1 ${RUBY} -Ilib:test:. -e 'Dir["test/**/*_test.rb"].each {|f| require f}' || die
+}
diff --git a/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r2.ebuild b/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r2.ebuild
index da962783124c..3f22ce59f2f1 100644
--- a/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r2.ebuild
+++ b/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
@@ -30,6 +30,10 @@ all_ruby_prepare() {
-e '/bundler/ s:^:#:' \
-i Rakefile || die
+ # Fix minitest deprecation
+ sed -e 's/MiniTest::Unit::TestCase/Minitest::Test/' \
+ -i test/*/*_test.rb || die
+
sed -i -e 's/git ls-files/find * -print/' bcrypt_pbkdf.gemspec || die
}
diff --git a/dev-ruby/shoulda-context/files/shoulda-context-2.0.0-file-exists.patch b/dev-ruby/shoulda-context/files/shoulda-context-2.0.0-file-exists.patch
new file mode 100644
index 000000000000..78f7dfc3f0b5
--- /dev/null
+++ b/dev-ruby/shoulda-context/files/shoulda-context-2.0.0-file-exists.patch
@@ -0,0 +1,26 @@
+From ee3aeb239ea69c9a855d64e8c1cfda87958c833d Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?V=C3=ADt=20Ondruch?= <vondruch@redhat.com>
+Date: Thu, 22 Dec 2022 15:03:17 +0100
+Subject: [PATCH] Use File.exist?
+
+`File.exists?` was deprecated while ago and removed in Ruby 3.2.
+
+https://bugs.ruby-lang.org/issues/17391
+https://github.com/ruby/ruby/pull/5352
+---
+ exe/convert_to_should_syntax | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/exe/convert_to_should_syntax b/exe/convert_to_should_syntax
+index d1264d07..ebdda984 100755
+--- a/exe/convert_to_should_syntax
++++ b/exe/convert_to_should_syntax
+@@ -31,7 +31,7 @@ usage("Temp directory '#{TMP}' is not valid. Set TMPDIR environment variable to
+
+ file = ARGV.shift
+ tmpfile = File.join(TMP, File.basename(file))
+-usage("File '#{file}' doesn't exist") unless File.exists?(file)
++usage("File '#{file}' doesn't exist") unless File.exist?(file)
+
+ FileUtils.cp(file, tmpfile)
+ contents = File.read(tmpfile)
diff --git a/dev-ruby/shoulda-context/shoulda-context-2.0.0-r1.ebuild b/dev-ruby/shoulda-context/shoulda-context-2.0.0-r1.ebuild
new file mode 100644
index 000000000000..61cc12eb8528
--- /dev/null
+++ b/dev-ruby/shoulda-context/shoulda-context-2.0.0-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="CONTRIBUTING.md README.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="tasks"
+
+# Don't install the conversion script to avoid collisions with older
+# shoulda.
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Context framework extracted from Shoulda"
+HOMEPAGE="https://github.com/thoughtbot/shoulda-context"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc test"
+
+PATCHES=( "${FILESDIR}/${P}-file-exists.patch" )
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2
+ >=dev-ruby/mocha-1.0 )"
+
+all_ruby_prepare() {
+ sed -e '/\(current_bundle\|CurrentBundle\)/ s:^:#:' \
+ -e '/pry-byebug/ s:^:#:' \
+ -e '/warnings_logger/ s:^:#: ; /WarningsLogger/,/^)/ s:^:#:' \
+ -e '/rails_application_with_shoulda_context/ s:^:#:' \
+ -i test/test_helper.rb || die
+ rm -f test/shoulda/{railtie,rerun_snippet,test_framework_detection}_test.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e 'Dir["test/shoulda/*_test.rb"].each { require _1 }' || die
+}
diff --git a/dev-ruby/sshkit/Manifest b/dev-ruby/sshkit/Manifest
index d27f1e0402dd..8c29d7a0789e 100644
--- a/dev-ruby/sshkit/Manifest
+++ b/dev-ruby/sshkit/Manifest
@@ -2,3 +2,4 @@ DIST sshkit-1.21.4.gem 144896 BLAKE2B a4f7cd2342810422c6dd680370c741136bbe1cc596
DIST sshkit-1.21.5.gem 145408 BLAKE2B 19fa326d30ddae12be84b7cf460d5d44c48fc52cf89f61a775999eae7cbcc985ac7b335dd4aa772e8966decc24a6e5a894621e9873ac133122fb8e18d1c82945 SHA512 e441da155323dd71c235d3ebb4ddccd41987183cffe4e23cb52404ba25a16ae4f3c1f786d7be4db6dc8733013720b99d12c8f3369f1d8841f967407b3edb28b2
DIST sshkit-1.21.6.gem 145408 BLAKE2B 2196d0d8959a38d10e40de6c758c9cf3d64c9622de1dd0825a74435c45666450a554045172bcc1a1cbac33edcf962e93ad07a992d52bf946e3a060606c145e09 SHA512 8f6db82cd3607e947b6fd7ad0c5010b631254bcd12c19489e8446d83b352f9333baf9ed77aa197a4f0a081f75363404f5e48289f2d1f701c1a23cd834cca0ac4
DIST sshkit-1.21.7.gem 145408 BLAKE2B e1fdeff6f9935d4d3bce846545d13779e0fce3f989bcb81e5a51e8342bcdce364b398ef480829c49a3ae90677efa5f7a5c4868de8fdc5f4b72f797c4b2513132 SHA512 7ba9fc8958293da7307720bc944c85f2d80991f8552833768793eaea3b49fde4d11d62bd39b90615a6957aa7af13f26cc7ba8b8279a29aa46a4283fa01151374
+DIST sshkit-1.22.0.gem 146944 BLAKE2B e257fc8b7c5a803a310f6193910fa93b5ae388b5265095eececcd342abefdba95a6bb9bdd3813e1eb7a999e73c116b973a9b903ae43ed804c5bface758721719 SHA512 fea5d130c0821f8762f76fa3eb9daa6104bea0f1dd59a0cf3845becc96773d2ac81b909151c9535d68dd1fd17a6f6071cde048d74c9c46105ac3d5d143c20d3b
diff --git a/dev-ruby/sshkit/sshkit-1.22.0.ebuild b/dev-ruby/sshkit/sshkit-1.22.0.ebuild
new file mode 100644
index 000000000000..e5a34a057ff2
--- /dev/null
+++ b/dev-ruby/sshkit/sshkit-1.22.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+# There are functional tests that require vagrant boxes to be set up.
+RUBY_FAKEGEM_TASK_TEST="test:units"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md FAQ.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="SSHKit makes it easy to write structured, testable SSH commands in Ruby"
+HOMEPAGE="https://github.com/capistrano/sshkit"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+ruby_add_rdepend "
+ dev-ruby/mutex_m
+ >=dev-ruby/net-ssh-2.8.0:*
+ >=dev-ruby/net-scp-1.1.2
+ >=dev-ruby/net-sftp-2.1.2
+"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest dev-ruby/mocha )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/I s:^:#:' Rakefile test/helper.rb || die
+ sed -e '/\(turn\|unindent\|reporters\)/I s:^:#:' \
+ -e '1irequire "pathname"' \
+ -i test/helper.rb || die
+
+ # Fix assumption about parent directory name
+ sed -i -e '/assert_match/ s/sshkit/sshkit.*/' test/unit/test_deprecation_logger.rb || die
+}
+
+each_ruby_test() {
+ # Run tests directly to avoid dependencies in the Rakefile
+ ${RUBY} -Ilib:test:. -e "Dir['test/unit/**/test*.rb'].each{|f| require f}" || die
+}